org.jetlang.web

## Interface SessionFactory<T>

    public interface SessionFactory<T>

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Default Methods
`T` `create(SocketChannel channel, org.jetlang.fibers.NioFiber fiber, org.jetlang.fibers.NioControls controls, HttpRequest headers)`
`static SessionFactory<Map<String,Object>>` `mapPerClient()`
`static SessionFactory<Void>` `none()`
`void` `onClose(T session)`

### Method Detail

#### mapPerClient

    static SessionFactory<Map<String,Object>> mapPerClient()

#### none

    static SessionFactory<Void> none()

#### create

    T create(SocketChannel channel,
             org.jetlang.fibers.NioFiber fiber,
             org.jetlang.fibers.NioControls controls,
             HttpRequest headers)

#### onClose

    void onClose(T session)